Skip to main content
POST
Create a new role
Creates a new custom role for an organization with specified policies and actors.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

Body

application/json
name
string
required

Name of the role

actors
string[]
required

List of actor resource IDs to assign to this role (e.g., ["user/uuid", "apiKey/uuid"])

policies
object[]
required

List of policies to create for this role

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 21, 2026